let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/vqq275dnd5lbjfdxffa8864w4mxrinx2-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/xrhaz9kn6dfd80bf01r77x0ad60avgc3-coreutils-8.30/bin";
  bzip2 = "/nix/store/qcshp49pablp16frq836qd87bdypgqig-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/6bnphbhjrp96gag43x9g3gjnqxhdnn4q-gzip-1.10/bin/gzip";
  xz = "/nix/store/igcmy9bxh5fiiyiwgwc676g880mjk82l-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/jwg9ybg7fm0wv0s4wrla4wplx7i2psa1-gnutar-1.31/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/xrhaz9kn6dfd80bf01r77x0ad60avgc3-coreutils-8.30/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/ln1ndqvfpc9cdl03vqxi6kvlxm9wfv9g-nix-2.3/bin";
  nixPrefix = "/nix/store/ln1ndqvfpc9cdl03vqxi6kvlxm9wfv9g-nix-2.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/ln1ndqvfpc9cdl03vqxi6kvlxm9wfv9g-nix-2.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
